> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Notes for a Journal Entry

> **Scopes:** `journal_entry:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/business/{business_id}/journal-entries/{journal_entry_id}/notes
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/journal-entries/{journal_entry_id}/notes:
    get:
      tags:
        - Journal Entry
      summary: List Notes for a Journal Entry
      description: '**Scopes:** `journal_entry:read`'
      operationId: >-
        get_journal_entry_notes_v0_business__business_id__journal_entries__journal_entry_id__notes_get
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            description: The id of the business
            examples:
              - biz_GA6EG2qFxA97NZHtxeLPUy
            type: string
            format: biz_string
            title: Business Id
          description: The id of the business
        - name: journal_entry_id
          in: path
          required: true
          schema:
            description: The id of the journal entry
            examples:
              - je_R2fAXCjqJPdpYata112zyW
            type: string
            format: je_string
            title: Journal Entry Id
          description: The id of the journal entry
        - name: page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                description: The page token to for the next or previous page
              - type: 'null'
            title: Page Token
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
            title: Page Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JournalEntryNotePaginated'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - journal_entry:read
components:
  schemas:
    JournalEntryNotePaginated:
      properties:
        data:
          items:
            $ref: '#/components/schemas/NotePublic'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
      type: object
      required:
        - data
        - pagination
      title: JournalEntryNotePaginated
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    NotePublic:
      properties:
        journal_entry_id:
          type: string
          format: je_string
          title: Journal Entry Id
          description: The ID of the associated Journal Entry
          examples:
            - je_WQMDNUHpBThYSNh4AprDBo
        message:
          type: string
          title: Message
          description: The message of the note
        user:
          anyOf:
            - type: string
            - type: 'null'
          title: User
          description: The user who created the note
        id:
          type: string
          format: nt_string
          title: Id
          description: The ID of the Note
          examples:
            - nt_R2fAXCjqJPdpYata112zyW
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time the note was created
          examples:
            - '2023-03-01T12:00:00Z'
      type: object
      required:
        - journal_entry_id
        - message
        - user
        - id
        - created_at
      title: NotePublic
    PaginationResponse:
      properties:
        next_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page Token
          description: The next page token
        previous_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Page Token
          description: The previous page token
      type: object
      title: PaginationResponse
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````